Debian Bug report logs - #727119
ncurses: Please add xenl to hurd terminfo

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Tue, 22 Oct 2013 12:51:02 UTC

Severity: normal

Tags: patch

Found in version 5.9+20130608-1

Fixed in version ncurses/5.9+20131221-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#727119; Package ncurses. (Tue, 22 Oct 2013 12:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Tue, 22 Oct 2013 12:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses: Please add xenl to hurd terminfo
Date: Tue, 22 Oct 2013 14:46:28 +0200
[Message part 1 (text/plain, inline)]
Package: ncurses
Version: 5.9+20130608-1
Severity: normal
Tags: patch

Hello,

The Hurd console does ignore \n at end of lines, just like Linux does.
Could you thus add xenl to the hurd terminfo, as the attached patch
does?

Thanks,
Samuel

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.11.0 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel
Hi ! I'm a .signature virus ! Copy me into your ~/.signature, please !
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#727119; Package ncurses. (Tue, 22 Oct 2013 18:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 22 Oct 2013 18:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 727119@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Samuel Thibault <sthibault@debian.org>
Cc: 727119@bugs.debian.org
Subject: Re: Bug#727119: ncurses: Please add xenl to hurd terminfo
Date: Tue, 22 Oct 2013 20:01:32 +0200
On 2013-10-22 14:46 +0200, Samuel Thibault wrote:

> The Hurd console does ignore \n at end of lines, just like Linux does.
> Could you thus add xenl to the hurd terminfo, as the attached patch
> does?

Certainly, but there is a comment in the file that would also need an
update: 

# Note about compatibility to vt100: We don't specify <xenl>, as we
# don't have the eat_newline_glitch.

Is there anybody who maintains hurd.ti in the hurd git repository[1]?

Cheers,
       Sven


1. http://git.savannah.gnu.org/cgit/hurd/hurd.git/tree/console



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#727119; Package ncurses. (Tue, 22 Oct 2013 18:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 22 Oct 2013 18:39:08 GMT) Full text and rfc822 format available.

Message #15 received at 727119@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 727119@bugs.debian.org
Subject: Re: Bug#727119: ncurses: Please add xenl to hurd terminfo
Date: Tue, 22 Oct 2013 20:36:14 +0200
Sven Joachim, le Tue 22 Oct 2013 20:01:32 +0200, a écrit :
> Certainly, but there is a comment in the file that would also need an
> update: 
> 
> # Note about compatibility to vt100: We don't specify <xenl>, as we
> # don't have the eat_newline_glitch.
> 
> Is there anybody who maintains hurd.ti in the hurd git repository[1]?

Oh, I didn't realize that we had hurd.ti there too. Well, AIUI, we do
have the xenl behavior:

echo -ne 'asdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdf\na'

on a 80cols screen will show up as

asdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdfasdf
a

on the screen, without an empty line.

Samuel



Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 23 Oct 2013 18:24:07 GMT) Full text and rfc822 format available.

Message sent on to Samuel Thibault <sthibault@debian.org>:
Bug#727119. (Wed, 23 Oct 2013 18:24:11 GMT) Full text and rfc822 format available.

Message #20 received at 727119-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 727119-submitter@bugs.debian.org
Subject: Bug#727119 marked as pending
Date: Wed, 23 Oct 2013 18:22:18 +0000
tag 727119 pending
thanks

Hello,

Bug #727119 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=d240a86

---
commit d240a86eeffb44173d4d2786ce332fcd532f6b87
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Oct 23 20:18:13 2013 +0200

    Sync hurd terminfo description from the Savannah git repository

diff --git a/debian/changelog b/debian/changelog
index af27486..4dd62a5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+ncurses (5.9+20130608-2) UNRELEASED; urgency=low
+
+  * Sync hurd terminfo description from the Savannah git repository.
+    - Add xenl (Closes: #727119).
+
+ -- Sven Joachim <svenjoac@gmx.de>  Wed, 23 Oct 2013 20:17:14 +0200
+
 ncurses (5.9+20130608-1) unstable; urgency=low
 
   * New upstream patchlevel.



Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 10 Jan 2014 17:51:05 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 10 Jan 2014 17:51:05 GMT) Full text and rfc822 format available.

Message #25 received at 727119-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 727119-close@bugs.debian.org
Subject: Bug#727119: fixed in ncurses 5.9+20131221-1
Date: Fri, 10 Jan 2014 17:48:44 +0000
Source: ncurses
Source-Version: 5.9+20131221-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 10 Jan 2014 18:10:11 +0100
Source: ncurses
Binary: libtinfo5 libncurses5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: all source
Version: 5.9+20131221-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Closes: 727119
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Changes: 
 ncurses (5.9+20131221-1) unstable; urgency=low
 .
   * New upstream patchlevel.
     - Update libtinfo5 and libncursesw5 symbols files, bump shlibs.
   * Sync hurd terminfo description from the Savannah git repository.
     - Add xenl (Closes: #727119).
   * Depend on libc6-dev | libc-dev rather than just libc-dev in
     libncurses{w,}5-dev.
   * Check GPG signature of upstream tarballs in the watch files.
   * Upgrade Standards-Version to 3.9.5, no changes needed.
Checksums-Sha1: 
 9a481c49fe39c745ecae2ed77c5d3596bc6560cf 216928 ncurses-base_5.9+20131221-1_all.deb
 507d4ccd8c8fd8a7ebdddf4050a2f0724c0e2ccc 442742 ncurses-term_5.9+20131221-1_all.deb
 04fdca8fd5a2b862b5ab314fe95db52ca3651aef 885416 ncurses-doc_5.9+20131221-1_all.deb
 55cd807933ff6624d2d87d8a6b03517e14b15bd9 3137 ncurses_5.9+20131221-1.dsc
 d2c0ca723976ef1103e5e0cad3ed32e4c97b9e6b 2952940 ncurses_5.9+20131221.orig.tar.gz
 abcdc4fab1986ebf601caa0d0570c1d7dd70c8c6 62724 ncurses_5.9+20131221-1.debian.tar.gz
Checksums-Sha256: 
 bc173f8580507edcc7402743d4b1174e568cd8bd5035561d6f7bbb091d4331da 216928 ncurses-base_5.9+20131221-1_all.deb
 23f3207659f8118cd25b277ee98b538613b7c4b21bf2739a002324362c8112cb 442742 ncurses-term_5.9+20131221-1_all.deb
 a437d2a84a0e7f737d444486b7c8b2fb1ab1178986ead8a0c16c5c5522c71bad 885416 ncurses-doc_5.9+20131221-1_all.deb
 667b31f31a8885d3594c713595a67f45d769f2a52f330b3031e26a8434aefaa3 3137 ncurses_5.9+20131221-1.dsc
 01e7871e4813866eef26831e87e923eb9f975fb73bd6fc9e92803ab8b84e7940 2952940 ncurses_5.9+20131221.orig.tar.gz
 b05b87989f378c0efdb542a9cf65909c380c74490950d9f7490ed5736ca3f14e 62724 ncurses_5.9+20131221-1.debian.tar.gz
Files: 
 964f9a84764b074c72d652294b4539ce 216928 misc required ncurses-base_5.9+20131221-1_all.deb
 f42440c27b3d896da87f3d50ea438a90 442742 misc standard ncurses-term_5.9+20131221-1_all.deb
 ce4c87c98699145e3a721caf4b2cb5d5 885416 doc optional ncurses-doc_5.9+20131221-1_all.deb
 56ab892499db83fe89ee6347f0762427 3137 libs required ncurses_5.9+20131221-1.dsc
 8171aba9591e704d7d79fa889f1b0fa9 2952940 libs required ncurses_5.9+20131221.orig.tar.gz
 22fa91a4cd6d1d96a7ab6c909901f735 62724 libs required ncurses_5.9+20131221-1.debian.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS0C1/AAoJEDsQbnGNazGszggQAIQ3xoayFJTjmodQMwG3GGPq
0/YV/MiwzMju11ENGUT70O4bqEaqYhD1nYR1vXu8bgE2HucZsUKpb5e5McYL+6uW
5NKHOe5oRcz951UgSSjoQM2biiVSsC/dKBOa506RlVvsNHqoh8FwUVFf7Ypr4Cco
p78W1ea0BdEFZr0Mo9GF7v7l0fwfLCrJ7p46T04INZ6jsiVFwESM+XJ7+mL2wbnK
xT97QaK+sTFaXbsyeGyo0o03gwyoSnbOHuA3MrOA9S15pTqZJk9FVfBst6A/2LGl
2mpLwt3rivPZdc/aA9AjEL5ZpFjEs+YEltgwOXUeHf2kwGi++ctxTppuFXbVmyFV
CpmL90fscnII02JI3UDOAr+VMimf5CeT/JkyIn5xb2Pl1Vy/UmhnS+7Rwx5UYSmd
5TaKjhR1Y8a5H9+vvchbhM/D9iQNZ6cJO3dcwfbAktJu9pnsXJHrzovKTgb2nMBr
u8Kg1ZupXQ3Q+1r9optQdZHUlqQjrZB9v32UXgPKfL0G7ZbeT1gv+yc3m8m7t1Kq
xQiAtLdWSTNRHQxyceEa83JG8yT39WtoL3sZWs0sww8Wuyja7AYwHTVQnUtGx0BC
0GC+/e8mshTkfZuXKxepntGEU+H3Z3vJB584owqh/YbIZf4pPa2TI/oobYspQUee
l7fiucaiKGH+HbdVAIm9
=Ws9H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Feb 2014 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:24:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.